with GNATCOM.Dispinterface;

package MSHTML.IHTMLAudioElementFactory_Interface is

   type IHTMLAudioElementFactory_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLAudioElementFactory_Type);

   function Pointer (This : IHTMLAudioElementFactory_Type)
     return Pointer_To_IHTMLAudioElementFactory;

   procedure Attach (This    : in out IHTMLAudioElementFactory_Type;
                     Pointer : in     Pointer_To_IHTMLAudioElementFactory);

   function create
     (This                                 : IHTMLAudioElementFactory_Type;
      src                                  : GNATCOM.Types.VARIANT  := GNATCOM.Types.VARIANT_MISSING;
      Free                                 : Boolean := True)
     return Pointer_To_IHTMLAudioElement;

end MSHTML.IHTMLAudioElementFactory_Interface;

